<?xml version='1.0'?>
<fontconfig>
 <!--  ========================== 第一部分 目录设置 ===================================  -->
 <!--  字体目录  -->
 <dir>/opt/fonts/core</dir>
 <!--  <dir>/opt/fonts/ext</dir>  -->
 <!--  缓存目录  -->
 <cachedir>/var/cache/fontconfig</cachedir>
 <!--  额外的配置目录  -->
 <!--  <include>/etc/fonts/conf.d</include>  -->
 <!--  ========================== 第二部分 杂项设置 ===================================  -->
 <config>
  <!--  每小时扫描一次配置文件与字体的变化  -->
  <rescan>
   <int>3600</int>
  </rescan>
 </config>
 <!--  ========================== 第三部分 扫描阶段 ===================================  -->
 <!--  规范化已安装核心字体的属性(西文字族名改为类名，中文字族名改为"zhXXX")  -->
 <match target="scan">
  <test name="family">
   <string>Migu 1M</string>
  </test>
  <edit name="family">
   <string>Monospace</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>en</string>
   </langset>
  </edit>
  <edit name="charset">
   <charset>
    <!--  基本拉丁(ASCII)  -->
    <range>
     <int>0x0020</int>
     <int>0x007E</int>
    </range>
    <!--  拉丁-1增补 + 拉丁扩展A/B  -->
    <range>
     <int>0x00A0</int>
     <int>0x0181</int>
    </range>
    <int>0x0186</int>
    <int>0x0189</int>
    <int>0x018A</int>
    <range>
     <int>0x018E</int>
     <int>0x0194</int>
    </range>
    <range>
     <int>0x0198</int>
     <int>0x019B</int>
    </range>
    <range>
     <int>0x019D</int>
     <int>0x01A1</int>
    </range>
    <range>
     <int>0x01AF</int>
     <int>0x01B1</int>
    </range>
    <range>
     <int>0x01B3</int>
     <int>0x01B6</int>
    </range>
    <range>
     <int>0x01BF</int>
     <int>0x01E3</int>
    </range>
    <range>
     <int>0x01E6</int>
     <int>0x01ED</int>
    </range>
    <range>
     <int>0x01EF</int>
     <int>0x01F5</int>
    </range>
    <range>
     <int>0x01F7</int>
     <int>0x01FF</int>
    </range>
    <range>
     <int>0x0218</int>
     <int>0x021F</int>
    </range>
    <range>
     <int>0x0230</int>
     <int>0x0233</int>
    </range>
    <int>0x0237</int>
    <int>0x023D</int>
    <!--  国际音标 + 空格调整字母  -->
    <range>
     <int>0x0250</int>
     <int>0x02FF</int>
    </range>
    <!--  希腊语  -->
    <range>
     <int>0x0372</int>
     <int>0x0375</int>
    </range>
    <int>0x037A</int>
    <int>0x037E</int>
    <int>0x038C</int>
    <range>
     <int>0x0384</int>
     <int>0x038A</int>
    </range>
    <range>
     <int>0x038E</int>
     <int>0x03A1</int>
    </range>
    <range>
     <int>0x03A3</int>
     <int>0x03E1</int>
    </range>
    <!--  西里尔语  -->
    <range>
     <int>0x0400</int>
     <int>0x045F</int>
    </range>
    <int>0x0462</int>
    <int>0x0463</int>
    <range>
     <int>0x0472</int>
     <int>0x0475</int>
    </range>
    <int>0x0480</int>
    <int>0x0481</int>
    <int>0x0490</int>
    <int>0x0491</int>
    <int>0x04AE</int>
    <int>0x04AF</int>
    <int>0x04E8</int>
    <int>0x04E9</int>
    <!--  货币符号  -->
    <int>0x20A1</int>
    <range>
     <int>0x20A8</int>
     <int>0x20AC</int>
    </range>
    <range>
     <int>0x20AF</int>
     <int>0x20B3</int>
    </range>
    <int>0x20B5</int>
    <!--  字母符号  -->
    <int>0x2103</int>
    <int>0x2113</int>
    <int>0x2116</int>
    <int>0x211E</int>
    <int>0x2121</int>
    <int>0x2122</int>
    <int>0x2126</int>
    <int>0x2127</int>
    <!--  数字形式(罗马)  -->
    <range>
     <int>0x2160</int>
     <int>0x216B</int>
    </range>
    <range>
     <int>0x2170</int>
     <int>0x217B</int>
    </range>
    <!--  箭头  -->
    <range>
     <int>0x2190</int>
     <int>0x2199</int>
    </range>
    <range>
     <int>0x21B0</int>
     <int>0x21B5</int>
    </range>
    <range>
     <int>0x21C4</int>
     <int>0x21CA</int>
    </range>
    <range>
     <int>0x21D0</int>
     <int>0x21D9</int>
    </range>
    <range>
     <int>0x21E4</int>
     <int>0x21ED</int>
    </range>
    <!--  控制图片  -->
    <range>
     <int>0x2400</int>
     <int>0x2426</int>
    </range>
    <!--  带圈的字母与数字  -->
    <range>
     <int>0x2460</int>
     <int>0x2473</int>
    </range>
    <range>
     <int>0x24D0</int>
     <int>0x24FF</int>
    </range>
    <range>
     <int>0x2776</int>
     <int>0x2793</int>
    </range>
    <!--  数学乘号 + 拉丁扩展C  -->
    <int>0x2A2F</int>
    <int>0x2C71</int>
    <int>0x2C7D</int>
    <!--  平假名 + 片假名 + 片假名语音扩展  -->
    <range>
     <int>0x3041</int>
     <int>0x3096</int>
    </range>
    <range>
     <int>0x3099</int>
     <int>0x30FF</int>
    </range>
    <range>
     <int>0x31F0</int>
     <int>0x31FF</int>
    </range>
    <!--  拉丁扩展D  -->
    <int>0xA78B</int>
    <int>0xA78C</int>
    <!--  拉丁组合字  -->
    <range>
     <int>0xFB00</int>
     <int>0xFB04</int>
    </range>
    <!--  字节顺序标记  -->
    <int>0xFEFF</int>
   </charset>
  </edit>
 </match>
 <match target="scan">
  <test name="family">
   <string>Noto Sans</string>
  </test>
  <edit name="family">
   <string>Sans</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>en</string>
   </langset>
  </edit>
  <edit name="charset">
   <charset>
    <!--  基本拉丁(ASCII)  -->
    <range>
     <int>0x0020</int>
     <int>0x007E</int>
    </range>
    <!--  拉丁-1/A/B + 国际音标 + 空格调整字母 + 组合变音标记  -->
    <range>
     <int>0x00A0</int>
     <int>0x036F</int>
    </range>
    <!--  希腊语 + 西里尔语  -->
    <int>0x0374</int>
    <int>0x0375</int>
    <int>0x038C</int>
    <range>
     <int>0x037A</int>
     <int>0x037E</int>
    </range>
    <range>
     <int>0x0384</int>
     <int>0x038A</int>
    </range>
    <range>
     <int>0x038E</int>
     <int>0x03A1</int>
    </range>
    <range>
     <int>0x03A3</int>
     <int>0x03CE</int>
    </range>
    <range>
     <int>0x03D0</int>
     <int>0x0527</int>
    </range>
    <!--  音标扩展增补 + 组合变音标记补充 + 拉丁扩展附加  -->
    <range>
     <int>0x1D00</int>
     <int>0x1DCA</int>
    </range>
    <range>
     <int>0x1DFE</int>
     <int>0x1E9B</int>
    </range>
    <int>0x1E9E</int>
    <range>
     <int>0x1EA0</int>
     <int>0x1EF9</int>
    </range>
    <!--  货币符号  -->
    <range>
     <int>0x20A0</int>
     <int>0x20A9</int>
    </range>
    <range>
     <int>0x20AB</int>
     <int>0x20B5</int>
    </range>
    <int>0x20B9</int>
    <int>0x20BA</int>
    <!--  拉丁扩展C  -->
    <range>
     <int>0x2C60</int>
     <int>0x2C6D</int>
    </range>
    <range>
     <int>0x2C71</int>
     <int>0x2C77</int>
    </range>
    <!--  修饰语调字母 + 拉丁扩展D  -->
    <range>
     <int>0xA717</int>
     <int>0xA721</int>
    </range>
    <range>
     <int>0xA788</int>
     <int>0xA78C</int>
    </range>
    <!--  拉丁组合字  -->
    <range>
     <int>0xFB01</int>
     <int>0xFB04</int>
    </range>
    <!--  组合半角标记  -->
    <range>
     <int>0xFE20</int>
     <int>0xFE23</int>
    </range>
    <!--  字节顺序标记 + 特殊标记  -->
    <int>0xFEFF</int>
    <int>0xFFFC</int>
    <int>0xFFFD</int>
   </charset>
  </edit>
 </match>
 <match target="scan">
  <test name="family">
   <string>Tinos</string>
  </test>
  <edit name="family">
   <string>Serif</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>en</string>
   </langset>
  </edit>
  <edit name="charset">
   <charset>
    <!--  基本拉丁(ASCII)  -->
    <range>
     <int>0x0020</int>
     <int>0x007E</int>
    </range>
    <!--  拉丁-1/A/B + 国际音标 + 空格调整字母 + 组合变音标记  -->
    <range>
     <int>0x00A0</int>
     <int>0x036F</int>
    </range>
    <!--  希腊语 + 西里尔语  -->
    <int>0x0374</int>
    <int>0x0375</int>
    <int>0x038C</int>
    <range>
     <int>0x037A</int>
     <int>0x037E</int>
    </range>
    <range>
     <int>0x0384</int>
     <int>0x038A</int>
    </range>
    <range>
     <int>0x038E</int>
     <int>0x03A1</int>
    </range>
    <range>
     <int>0x03A3</int>
     <int>0x03CE</int>
    </range>
    <range>
     <int>0x03D0</int>
     <int>0x0513</int>
    </range>
    <range>
     <int>0x051A</int>
     <int>0x051D</int>
    </range>
    <!--  音标扩展增补 + 组合变音标记补充 + 拉丁扩展附加  -->
    <range>
     <int>0x1D00</int>
     <int>0x1DCA</int>
    </range>
    <range>
     <int>0x1DFE</int>
     <int>0x1E9B</int>
    </range>
    <int>0x1E9E</int>
    <range>
     <int>0x1EA0</int>
     <int>0x1EF9</int>
    </range>
    <!--  货币符号  -->
    <range>
     <int>0x20A0</int>
     <int>0x20B5</int>
    </range>
    <!--  拉丁扩展C  -->
    <range>
     <int>0x2C60</int>
     <int>0x2C6D</int>
    </range>
    <range>
     <int>0x2C71</int>
     <int>0x2C77</int>
    </range>
    <!--  修饰语调字母 + 拉丁扩展D  -->
    <range>
     <int>0xA717</int>
     <int>0xA721</int>
    </range>
    <range>
     <int>0xA788</int>
     <int>0xA78C</int>
    </range>
    <!--  拉丁组合字  -->
    <int>0xFB01</int>
    <int>0xFB02</int>
    <!--  组合半角标记  -->
    <range>
     <int>0xFE20</int>
     <int>0xFE23</int>
    </range>
   </charset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>NotoSansHans-DemiLight</string>
  </test>
  <edit name="family">
   <string>zhHei</string>
  </edit>
  <edit name="style">
   <string>Regular</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>zh-cn</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>NotoSansHans-Bold</string>
  </test>
  <edit name="family">
   <string>zhHei</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>zh-cn</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>AdobeSongStd-Light</string>
  </test>
  <edit name="family">
   <string>zhSong</string>
  </edit>
  <edit name="style">
   <string>Regular</string>
  </edit>
  <edit name="weight">
   <int>80</int>
  </edit>
  <edit name="lang">
   <langset>
    <string>zh-cn</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>AdobeFangsongStd-Regular</string>
  </test>
  <edit name="family">
   <string>zhFangSong</string>
  </edit>
  <edit name="style">
   <string>Regular</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>zh-cn</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>AdobeKaitiStd-Regular</string>
  </test>
  <edit name="family">
   <string>zhKai</string>
  </edit>
  <edit name="style">
   <string>Regular</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>zh-cn</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>SegoeUISymbol</string>
  </test>
  <edit name="family">
   <string>zzFailBack</string>
   <string>zzSymbol</string>
  </edit>
  <edit name="familylang">
   <string>en</string>
   <string>en</string>
  </edit>
  <edit name="style">
   <string>Regular</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>none</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>NotoSansKR-DemiLight</string>
  </test>
  <edit name="family">
   <string>zzFailBack</string>
   <string>zzKorean</string>
  </edit>
  <edit name="familylang">
   <string>en</string>
   <string>en</string>
  </edit>
  <edit name="style">
   <string>Regular</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>ko</string>
   </langset>
  </edit>
 </match>
 <match target="scan">
  <test name="postscriptname">
   <string>NotoSansKR-Bold</string>
  </test>
  <edit name="family">
   <string>zzFailBack</string>
   <string>zzKorean</string>
  </edit>
  <edit name="familylang">
   <string>en</string>
   <string>en</string>
  </edit>
  <edit name="lang">
   <langset>
    <string>ko</string>
   </langset>
  </edit>
 </match>
 <!--  ========================== 第四部分 匹配阶段 ===================================  -->
 <!-- Default system-ui fonts -->
 <match target="pattern">
  <test name="family">
   <string>system-ui</string>
  </test>
  <edit binding="strong" mode="prepend" name="family">
   <string>sans-serif</string>
  </edit>
 </match>
 <!-- Default sans-serif fonts-->
 <match target="pattern">
  <test name="family">
   <string>sans-serif</string>
  </test>
  <edit binding="strong" mode="prepend" name="family">
   <string>MiSans</string>
   <string>DejaVu Sans Book</string>
   <string>Noto Color Emoji</string>
  </edit>
 </match>
 <!-- Default serif fonts-->
 <match target="pattern">
  <test name="family">
   <string>serif</string>
  </test>
  <edit binding="strong" mode="prepend" name="family">
   <string>方正书宋_GBK</string>
   <string>FZShuSong</string>
   <string>DejaVu Serif Book</string>
   <string>Noto Color Emoji</string>
  </edit>
 </match>
 <!-- Default monospace fonts-->
 <match target="pattern">
  <test name="family">
   <string>monospace</string>
  </test>
  <edit binding="strong" mode="prepend" name="family">
   <string>FiraCode Nerd Font</string>
   <string>方正中等线_GBK</string>
   <string>Noto Color Emoji</string>
  </edit>
 </match>
 <!-- Replace english fonts-->
 <match target="pattern">
  <test compare="contains" name="lang">
   <string>en</string>
  </test>
  <test compare="contains" name="family">
   <string>MiSans</string>
  </test>
  <edit binding="strong" mode="prepend" name="family">
   <string>DejaVu Sans Book</string>
  </edit>
 </match>
 <!-- 替换浏览器字体-->
 <match target="pattern">
  <test compare="not_eq" name="prgname">
   <string>msedge</string>
  </test>
  <test compare="contains" name="family">
   <string>MiSans</string>
  </test>
  <edit binding="strong" mode="prepend" name="family">
   <string>FiraCode Nerd Font</string>
  </edit>
 </match>
 <match target="pattern">
  <test name="family" qual="any">
   <string>宋体</string>
  </test>
  <edit binding="same" mode="assign" name="family">
   <string>方正书宋_GBK</string>
  </edit>
 </match>
 <match target="pattern">
  <test name="family" qual="any">
   <string>新宋体</string>
  </test>
  <edit binding="same" mode="assign" name="family">
   <string>方正书宋_GBK</string>
  </edit>
 </match>
 <!--rendering options-->
 <match target="font">
  <edit mode="assign" name="autohint">
   <bool>false</bool>
  </edit>
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
  <edit mode="assign" name="lcdfilter">
   <const>lcddefault</const>
  </edit>
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <!--  ========================== 第五部分 渲染阶段 ===================================  -->
 <!--  第一步，设置默认的渲染参数  -->
 <match target="font">
  <!--  修整像素大小(小于10px的调整到10px，否则四舍五入到整数)  -->
  <edit name="pixelsize">
   <if>
    <less>
     <name>pixelsize</name>
     <double>10</double>
    </less>
    <int>10</int>
    <round>
     <name>pixelsize</name>
    </round>
   </if>
  </edit>
  <!--  开启抗锯齿(smooth)  -->
  <edit name="antialias">
   <bool>true</bool>
  </edit>
  <!--  优先使用内嵌微调，同时默认开足微调  -->
  <edit name="hinting">
   <bool>true</bool>
  </edit>
  <edit name="autohint">
   <bool>false</bool>
  </edit>
  <!--  依个人喜好,你也可能喜欢默认"hintslight"(此时可将下面的"第七步"全部注释掉)  -->
  <edit name="hintstyle">
   <const>hintfull</const>
  </edit>
  <!--  LCD特征设置  -->
  <edit name="rgba">
   <const>rgb</const>
  </edit>
  <edit name="lcdfilter">
   <const>lcddefault</const>
  </edit>
  <!--  禁用内嵌点阵  -->
  <edit name="embeddedbitmap">
   <bool>false</bool>
  </edit>
  <!--  禁用合成粗体  -->
  <edit name="embolden">
   <bool>false</bool>
  </edit>
 </match>
 <!--  第二步，为没有原生斜体的字体使用合成斜体  -->
 <match target="font">
  <test compare="eq" name="slant">
   <const>roman</const>
  </test>
  <test compare="not_eq" target="pattern" name="slant">
   <const>roman</const>
  </test>
  <edit name="slant">
   <const>oblique</const>
  </edit>
  <edit name="matrix">
   <times>
    <name>matrix</name>
    <matrix>
     <double>1</double>
     <double>0.2</double>
     <double>0</double>
     <double>1</double>
    </matrix>
   </times>
  </edit>
 </match>
 <!--  第三步，为没有原生粗体的字体使用合成粗体  -->
 <match target="font">
  <test compare="less" name="weight">
   <int>105</int>
  </test>
  <test compare="more" target="pattern" name="weight">
   <int>105</int>
  </test>
  <edit name="weight">
   <const>bold</const>
  </edit>
  <edit name="embolden">
   <bool>true</bool>
  </edit>
 </match>
 <!--  第四步，标记"视觉大小"(原本的标称值)是否为奇数，为接下来修正等宽条件下的"标称大小"做准备  -->
 <match target="font">
  <edit name="isOddPx">
   <eq>
    <round>
     <divide>
      <plus>
       <name>pixelsize</name>
       <double>0.5</double>
      </plus>
      <double>2</double>
     </divide>
    </round>
    <ceil>
     <divide>
      <plus>
       <name>pixelsize</name>
       <double>0.5</double>
      </plus>
      <double>2</double>
     </divide>
    </ceil>
   </eq>
  </edit>
 </match>
 <!--  第五步，修正合成粗体的"标称大小"，尽力确保其"视觉大小"与原本的标称值一致  -->
 <match target="font">
  <test name="embolden">
   <bool>true</bool>
  </test>
  <!--  标称大小=视觉大小-trunc((视觉大小+13.5)/25)  -->
  <edit name="pixelsize">
   <minus>
    <name>pixelsize</name>
    <trunc>
     <divide>
      <plus>
       <name>pixelsize</name>
       <double>13.5</double>
      </plus>
      <double>25</double>
     </divide>
    </trunc>
   </minus>
  </edit>
 </match>
 <!--  第六步，在等宽条件下，为确保中西文对齐，进一步修正"标称大小"(也会影响"视觉大小")  -->
 <match target="font">
  <test name="isDengKuan">
   <bool>true</bool>
  </test>
  <!--  如果"视觉大小"是奇数  -->
  <test name="isOddPx">
   <bool>true</bool>
  </test>
  <!--  那么上调为偶像素，因为Monospace在奇像素下总是大一级显示  -->
  <edit name="pixelsize">
   <plus>
    <name>pixelsize</name>
    <int>1</int>
   </plus>
  </edit>
 </match>
 <!--  第六步续，进一步专门处理等宽条件下"标称大小"为11px,12px的合成粗体  -->
 <match target="font">
  <test name="isDengKuan">
   <bool>true</bool>
  </test>
  <test name="embolden">
   <bool>true</bool>
  </test>
  <test compare="more" name="pixelsize">
   <double>10.5</double>
  </test>
  <test compare="less" name="pixelsize">
   <double>12.5</double>
  </test>
  <!--  统一调整为12px常规体，只有这样才能对齐  -->
  <edit name="pixelsize">
   <int>12</int>
  </edit>
  <edit name="embolden">
   <bool>false</bool>
  </edit>
  <edit name="weight">
   <int>80</int>
  </edit>
 </match>
 <!--  第七步，针对每个字体单独调整渲染参数  -->
 <match target="font">
  <test name="family">
   <string>Monospace</string>
  </test>
  <edit name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <test name="family">
   <string>Sans</string>
  </test>
  <edit name="hintstyle">
   <if>
    <or>
     <eq>
      <name>pixelsize</name>
      <int>10</int>
     </eq>
     <eq>
      <name>pixelsize</name>
      <int>12</int>
     </eq>
    </or>
    <const>hintslight</const>
    <const>hintfull</const>
   </if>
  </edit>
 </match>
 <match target="font">
  <test name="family">
   <string>Serif</string>
  </test>
  <test name="pixelsize">
   <int>10</int>
  </test>
  <test name="slant">
   <int>0</int>
  </test>
  <edit name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <test name="family">
   <string>zhHei</string>
  </test>
  <edit name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <test compare="contains" name="postscriptname">
   <string>NotoSansKR</string>
  </test>
  <edit name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <!--  最后，删除等宽标记与奇偶标记  -->
 <match target="font">
  <edit mode="delete" name="isDengKuan"/>
  <edit mode="delete" name="isOddPx"/>
 </match>
 <dir>~/.fonts</dir>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>bgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vrgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vbgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintnone</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>bgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vrgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vbgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintnone</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>bgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>bgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vrgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vbgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintslight</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintnone</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintmedium</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>bgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vrgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>vbgr</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="size" qual="any">
   <double>8</double>
  </test>
  <test compare="less_eq" name="size" qual="any">
   <double>15</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="pixelsize" qual="any">
   <double>11</double>
  </test>
  <test compare="less_eq" name="pixelsize" qual="any">
   <double>20</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="size" qual="any">
   <double>8</double>
  </test>
  <test compare="less_eq" name="size" qual="any">
   <double>15</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="pixelsize" qual="any">
   <double>11</double>
  </test>
  <test compare="less_eq" name="pixelsize" qual="any">
   <double>20</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>rgb</const>
  </edit>
 </match>
</fontconfig>
